"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Config {
    constructor(srcDir, glob, destDir, cacheDir) {
        this.srcDir = srcDir;
        this.glob = glob;
        this.destDir = destDir;
        this.cacheDir = cacheDir;
        this.escapeTitle = false;
        this.validateParameter(srcDir, 'srcDir');
        this.validateParameter(glob, 'glob');
        this.validateParameter(destDir, 'destDir');
    }
    validateParameter(value, name) {
        if (!value) {
            throw new Error(`${name} cannot be empty`);
        }
    }
}
exports.default = Config;
//# sourceMappingURL=config.js.map