import ContentGenerator from './contentGenerator';
import Config from './config';
export declare class Processor {
    config: Config;
    generator: ContentGenerator;
    ignoredFiles: {
        [key: string]: boolean | null;
    };
    constructor(config: Config, generator: ContentGenerator);
    startFromFile(relFile: string): Promise<void>;
    private processDir(relDir, stackCount);
    private isRootDir(dir);
    private makeSrcPath(relFile);
    private makeDestPath(relFile);
    private markdownToHTML(relFile);
    private pathComponentFromDir(dir);
    private pathComponentFromFile(file);
    private childComponentsFromDirs(dirs);
    private childComponentsFromFiles(files);
    private isLeafDir(absDir);
    private writeTitleFileForFile(relFile, title, attached);
    private writeTitleFileForDir(relDir, title, attached);
    private tryEscapeTitle(title);
    private readonly logger;
}
