"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const nodepath = require("path");
const fx43 = require("fx43");
const core = require("./core");
function start(config, generator) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!config) {
            throw new Error('config cannot be empty');
        }
        if (!generator) {
            throw new Error('generator cannot be empty');
        }
        let { srcDir, destDir, cacheDir } = config;
        const { logger, glob } = config;
        srcDir = nodepath.resolve(srcDir);
        destDir = nodepath.resolve(destDir);
        cacheDir = nodepath.resolve(cacheDir);
        config.logger.info('main-started', {
            srcDir, destDir, cacheDir,
        });
        const processor = new core.Processor(config, generator);
        const files = yield fx43.start(srcDir, glob, cacheDir, true);
        logger.info('changed-files', {
            files,
        });
        return yield Promise.all(files.map((relFile) => __awaiter(this, void 0, void 0, function* () {
            yield processor.startFromFile(relFile);
        })));
    });
}
exports.start = start;
//# sourceMappingURL=start.js.map